VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - s -

- sampleOffset : Event
- sampleRate : ProcessSetup , ProcessContext
- samplesToNextClock : ProcessContext
- scale : Event
- scheduleEventFromUI() : IInterAppAudioHost
- selectUnit() : IUnitInfo
- sendRemoteControlEvent() : IInterAppAudioHost
- setActive() : IComponent
- setAudioPresentationLatencySamples() : IAudioPresentationLatency
- setAutomationState() : IAutomationState
- setBinary() : IAttributeList
- setBusArrangements() : IAudioProcessor
- setChannelContextInfos() : IInfoListener
- setComponentHandler() : IEditController
- setComponentState() : IEditController
- setDirty() : IComponentHandler2
- setEnvironment() : ITestSuite
- setFloat() : IAttributeList
- setInt() : IAttributeList
- setIoMode() : IComponent
- setKnobMode() : IEditController2
- setMessageID() : IMessage
- setMPEInputDeviceSettings() : IVst3WrapperMPESupport
- setParamNormalized() : IEditController
- setProcessing() : IAudioProcessor
- setProgramData() : IProgramListData
- setState() : IComponent , IEditController
- setString() : IAttributeList
- setUnitData() : IUnitData
- setUnitProgramData() : IUnitInfo
- setup() : ITest
- setupProcessing() : IAudioProcessor
- shortTitle : KeyswitchInfo , NoteExpressionTypeInfo , ParameterInfo
- showSettingsView() : IInterAppAudioHost
- silenceFlags : AudioBusBuffers
- size : DataExchangeBlock , DataEvent
- smpteOffsetSubframes : ProcessContext
- start() : IProgress
- startGroupEdit() : IComponentHandler2
- state : ProcessContext
- StatesAndFlags : ProcessContext
- stepCount : ParameterInfo , NoteExpressionValueDescription
- switchToHost() : IInterAppAudioHost
- symbolicSampleSize : ProcessSetup , ProcessData
- systemTime : ProcessContext

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.